
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Chenillard.c,44 :: 		void interrupt() {
;Chenillard.c,45 :: 		vitesse++;
	INCF       _vitesse+0, 1
	BTFSC      STATUS+0, 2
	INCF       _vitesse+1, 1
;Chenillard.c,46 :: 		TMR0   = 0;             // Valeur dcimale prcharge  soustraire  256
	CLRF       TMR0+0
;Chenillard.c,49 :: 		INTCON = 0x20;         // Set T0IE, clear T0IF (Met  1 le bit TMROIE , Efface(0) le Flag TMROIF de dbordement d'interruption)
	MOVLW      32
	MOVWF      INTCON+0
;Chenillard.c,50 :: 		}       //fin interruption
L__interrupt4:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_send_data:

;Chenillard.c,55 :: 		void send_data(char HC595_0, char HC595_1, char HC595_2)
;Chenillard.c,57 :: 		Spi1_Write(HC595_0);     // donnes premier circuit
	MOVF       FARG_send_data_HC595_0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Chenillard.c,58 :: 		Spi1_Write(HC595_1);     // donnes deuxime circuit
	MOVF       FARG_send_data_HC595_1+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Chenillard.c,59 :: 		Spi1_Write(HC595_2);     // donnes troisime circuit
	MOVF       FARG_send_data_HC595_2+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;Chenillard.c,60 :: 		PORTC.F6=1;             // impulsion de validation sur LATCH
	BSF        PORTC+0, 6
;Chenillard.c,61 :: 		PORTC.F6=0;
	BCF        PORTC+0, 6
;Chenillard.c,62 :: 		}
	RETURN
; end of _send_data

_main:

;Chenillard.c,65 :: 		void main(){
;Chenillard.c,67 :: 		INTCON=0xA0;                      // Activer l'interruption TMR0
	MOVLW      160
	MOVWF      INTCON+0
;Chenillard.c,68 :: 		OPTION_REG = 0x00;                // Assigner prescaler sur TMR0  valeur 2   = 000
	CLRF       OPTION_REG+0
;Chenillard.c,69 :: 		TMR0=0;
	CLRF       TMR0+0
;Chenillard.c,70 :: 		ADCON0=0;                         // ADC dsactiv
	CLRF       ADCON0+0
;Chenillard.c,71 :: 		TRISA=1;                          // PORTA configur en Entre
	MOVLW      1
	MOVWF      TRISA+0
;Chenillard.c,72 :: 		TRISB=0;                          // PORTB configur en sortie
	CLRF       TRISB+0
;Chenillard.c,73 :: 		TRISC=0;                          // PORTC configur en sortie
	CLRF       TRISC+0
;Chenillard.c,74 :: 		PORTA=0;                          // mise  zro des ports A
	CLRF       PORTA+0
;Chenillard.c,75 :: 		PORTB=0;                          // mise  zro des ports B
	CLRF       PORTB+0
;Chenillard.c,76 :: 		PORTC=0;                          // mise  zro des ports C
	CLRF       PORTC+0
;Chenillard.c,77 :: 		vitesse=0;                        // vitesse de dfilement
	CLRF       _vitesse+0
	CLRF       _vitesse+1
;Chenillard.c,78 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
;Chenillard.c,81 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV16,_SPI_DATA_SAMPLE_MIDDLE,_SPI_CLK_IDLE_LOW,_SPI_LOW_2_HIGH);
	MOVLW      1
	MOVWF      FARG_SPI1_Init_Advanced_master+0
	CLRF       FARG_SPI1_Init_Advanced_data_sample+0
	CLRF       FARG_SPI1_Init_Advanced_clock_idle+0
	MOVLW      1
	MOVWF      FARG_SPI1_Init_Advanced_transmit_edge+0
	CALL       _SPI1_Init_Advanced+0
;Chenillard.c,85 :: 		while(1)
L_main0:
;Chenillard.c,87 :: 		if(vitesse==512){
	MOVF       _vitesse+1, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main5
	MOVLW      0
	XORWF      _vitesse+0, 0
L__main5:
	BTFSS      STATUS+0, 2
	GOTO       L_main2
;Chenillard.c,88 :: 		vitesse=0;
	CLRF       _vitesse+0
	CLRF       _vitesse+1
;Chenillard.c,89 :: 		if(i==24)           // compteur sur la totalit des octets du tableau
	MOVLW      0
	XORWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main6
	MOVLW      24
	XORWF      _i+0, 0
L__main6:
	BTFSS      STATUS+0, 2
	GOTO       L_main3
;Chenillard.c,91 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
;Chenillard.c,92 :: 		}  // fin de If
L_main3:
;Chenillard.c,93 :: 		i++;
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;Chenillard.c,94 :: 		HC595_0=sequence[i*3];       // donnes sur le premier 595
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVLW      3
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVF       R0+0, 0
	ADDLW      _sequence+0
	MOVWF      R2+0
	MOVLW      hi_addr(_sequence+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 0
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R2+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R4+0
	MOVF       R4+0, 0
	MOVWF      _HC595_0+0
;Chenillard.c,95 :: 		HC595_1=sequence[(i*3)+1];   // donnes sur le second 595
	MOVF       R0+0, 0
	ADDLW      1
	MOVWF      R2+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 0
	MOVWF      R2+1
	MOVLW      _sequence+0
	ADDWF      R2+0, 1
	MOVLW      hi_addr(_sequence+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R2+1, 1
	MOVF       R2+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R2+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R2+0
	MOVF       R2+0, 0
	MOVWF      _HC595_1+0
;Chenillard.c,96 :: 		HC595_2=sequence[(i*3)+2];   // donnes sur le troisime 595
	MOVLW      2
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      _sequence+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(_sequence+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _HC595_2+0
;Chenillard.c,97 :: 		send_data(HC595_0,HC595_1,HC595_2);   // envoie les donnes  afficher
	MOVF       R4+0, 0
	MOVWF      FARG_send_data_HC595_0+0
	MOVF       R2+0, 0
	MOVWF      FARG_send_data_HC595_1+0
	MOVF       R0+0, 0
	MOVWF      FARG_send_data_HC595_2+0
	CALL       _send_data+0
;Chenillard.c,100 :: 		} // fin de If
L_main2:
;Chenillard.c,102 :: 		}  //fin de while
	GOTO       L_main0
;Chenillard.c,104 :: 		}  // fin de main
	GOTO       $+0
; end of _main
